<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-309"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FNavigator%2FXHXNavigator.h%20%E6%BA%90%E6%96%87%E4%BB%B6"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Navigator/XHXNavigator.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_navigator_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXNavigator.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_navigator_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&nbsp;<span class="comment">//  XHXNavigator.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&nbsp;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&nbsp;<span class="comment">//  Created by Leovir on 2018/5/18.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&nbsp;<span class="comment">//  Copyright &copy; 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&nbsp;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&nbsp; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&nbsp;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&nbsp;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&nbsp; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="interface_x_h_x_navigator.html">   12</a></span>&nbsp;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_navigator.html">XHXNavigator</a> : NSObject</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&nbsp; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&nbsp;<span class="preprocessor">#pragma mark ==================  返回根视图 根Window 顶层window   ==================</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&nbsp;<span class="comment">//获取rootviewcontroller</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&nbsp;+ (UIViewController *)<a class="code" href="interface_x_h_x_navigator.html#a1ab38ab3ebac8021bf5ebad00d76d203">rootViewController</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&nbsp;<span class="comment">//获取appdelegate的window</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&nbsp;+ (UIWindow *)<a class="code" href="interface_x_h_x_navigator.html#ac4ee4d0dd9d4258a7388d48bd416c528">rootWindow</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&nbsp;<span class="comment">//最顶层的window</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&nbsp;+ (UIWindow *)<a class="code" href="interface_x_h_x_navigator.html#ae092b2e06c16c8dc6f01988ad1886a50">topWindow</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&nbsp;<span class="comment">//keywindow</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&nbsp;+ (UIWindow *)<a class="code" href="interface_x_h_x_navigator.html#acc91401082b35660f529465910e26577">keyWindow</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&nbsp;<span class="preprocessor">#pragma mark ==================  返回当前控制器  和 导航控制器  ==================</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&nbsp; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&nbsp;+ (UIViewController *)<a class="code" href="interface_x_h_x_navigator.html#a2386702d61e0ba8a8c3ded4c36aee1fc">currentViewController</a>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&nbsp; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&nbsp;+ (UINavigationController *)<a class="code" href="interface_x_h_x_navigator.html#a5cf12ce028b8a0156c3cfd997f7c32b1">currentNavigationController</a>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&nbsp;<span class="preprocessor">#pragma mark ==================  push viewController  ==================</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&nbsp; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&nbsp;+ (void)pushViewController:(UIViewController *)viewController animated:(BOOL)animated;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&nbsp;<span class="preprocessor">#pragma mark ==================  present viewController  ==================</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&nbsp; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&nbsp;+ (void)presentViewController:(UIViewController *)viewController animated:(BOOL)animated;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&nbsp; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&nbsp;+ (void)presentViewController:(UIViewController *)viewController animated:(BOOL)animated completion:(<span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&nbsp; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&nbsp;<span class="preprocessor">#pragma mark ==================  pop   ==================</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&nbsp; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&nbsp;+ (void)popViewControllerWithTimes:(NSUInteger)times animated:(BOOL)animated;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&nbsp; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&nbsp;+ (void)popToRootViewControllerAnimated:(BOOL)animated;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&nbsp;<span class="preprocessor">#pragma mark ==================  dismiss   ==================</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&nbsp; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&nbsp;+ (void)dismissViewControllerTimes:(NSUInteger)times animated:(BOOL)animated completion:(<span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&nbsp; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&nbsp;+ (void)dismissToRootViewControllerAnimated:(BOOL)animated completion:(<span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&nbsp; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&nbsp;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_navigator_html"><div class="ttname"><a href="interface_x_h_x_navigator.html">XHXNavigator</a></div><div class="ttdef"><b>Definition:</b> XHXNavigator.h:13</div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_acc91401082b35660f529465910e26577"><div class="ttname"><a href="interface_x_h_x_navigator.html#acc91401082b35660f529465910e26577">+[XHXNavigator keyWindow]</a></div><div class="ttdeci">UIWindow * keyWindow()</div><div class="ttdef"><b>Definition:</b> XHXNavigator.m:29</div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_a5cf12ce028b8a0156c3cfd997f7c32b1"><div class="ttname"><a href="interface_x_h_x_navigator.html#a5cf12ce028b8a0156c3cfd997f7c32b1">+[XHXNavigator currentNavigationController]</a></div><div class="ttdeci">UINavigationController * currentNavigationController()</div><div class="ttdef"><b>Definition:</b> XHXNavigator.m:38</div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_a2386702d61e0ba8a8c3ded4c36aee1fc"><div class="ttname"><a href="interface_x_h_x_navigator.html#a2386702d61e0ba8a8c3ded4c36aee1fc">+[XHXNavigator currentViewController]</a></div><div class="ttdeci">UIViewController * currentViewController()</div><div class="ttdef"><b>Definition:</b> XHXNavigator.m:34</div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_a1ab38ab3ebac8021bf5ebad00d76d203"><div class="ttname"><a href="interface_x_h_x_navigator.html#a1ab38ab3ebac8021bf5ebad00d76d203">+[XHXNavigator rootViewController]</a></div><div class="ttdeci">UIViewController * rootViewController()</div><div class="ttdef"><b>Definition:</b> XHXNavigator.m:14</div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_ac4ee4d0dd9d4258a7388d48bd416c528"><div class="ttname"><a href="interface_x_h_x_navigator.html#ac4ee4d0dd9d4258a7388d48bd416c528">+[XHXNavigator rootWindow]</a></div><div class="ttdeci">UIWindow * rootWindow()</div><div class="ttdef"><b>Definition:</b> XHXNavigator.m:19</div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_ae092b2e06c16c8dc6f01988ad1886a50"><div class="ttname"><a href="interface_x_h_x_navigator.html#ae092b2e06c16c8dc6f01988ad1886a50">+[XHXNavigator topWindow]</a></div><div class="ttdeci">UIWindow * topWindow()</div><div class="ttdef"><b>Definition:</b> XHXNavigator.m:24</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_1b938227e4ceddef15a78cf51f3bd8b1.html">Navigator</a></li><li class="navelem"><a class="el" href="_x_h_x_navigator_8h.html">XHXNavigator.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>